Bug 731834 - gsoap server setting invalid IPV6_V6ONLY option on an IPV4 socket
Summary: gsoap server setting invalid IPV6_V6ONLY option on an IPV4 socket
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: gsoap
Version: el6
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Mattias Ellert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-18 19:42 UTC by Jerry Gamache
Modified: 2011-09-17 22:02 UTC (History)
1 user (show)

Fixed In Version: gsoap-2.7.13-4.el4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-07 03:18:31 UTC


Attachments (Terms of Use)

Description Jerry Gamache 2011-08-18 19:42:53 UTC
Description of problem:

The soap_bind call will fail on gGSOAP applications binding to IPV4 sockets. The problem is already addressed in the following SourceForge ticket:

http://sourceforge.net/tracker/?func=detail&aid=3060547&group_id=52781&atid=468023

Can you please backport the patch?
Thanks.

Version-Release number of selected component (if applicable):

gsoap-devel.x86_64  2.7.16-2.el6

How reproducible:

Very.

Steps to Reproduce:
1. Build a SOAP server using gSOAP
2. Have it bind to an IPv4 socket
3. Run server
  
Actual results:

The call to soap_bind( ) will fail. A strace of the run will show:

socket(PF_INET, SOCK_STREAM, IPPROTO_TCP) = 8
setsockopt(8, SOL_IPV6, IPV6_V6ONLY, [0], 4) = -1 ENOPROTOOPT (Protocol not available)
write(2, "Bind failed, exiting", 20)    = 20

Expected results:

Successful soap_bind call.

Additional info:

Comment 1 Fedora Update System 2011-08-28 13:52:27 UTC
gsoap-2.8.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gsoap-2.8.3-1.fc16

Comment 2 Fedora Update System 2011-08-28 13:52:34 UTC
gsoap-2.7.13-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/gsoap-2.7.13-4.el5

Comment 3 Fedora Update System 2011-08-28 13:52:41 UTC
gsoap-2.7.17-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gsoap-2.7.17-4.fc15

Comment 4 Fedora Update System 2011-08-28 13:52:49 UTC
gsoap-2.7.16-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/gsoap-2.7.16-3.el6

Comment 5 Fedora Update System 2011-08-28 13:52:58 UTC
gsoap-2.7.13-4.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/gsoap-2.7.13-4.el4

Comment 6 Fedora Update System 2011-08-30 20:43:55 UTC
Package gsoap-2.8.3-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gsoap-2.8.3-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/gsoap-2.8.3-1.fc16
then log in and leave karma (feedback).

Comment 7 Jerry Gamache 2011-09-01 17:44:54 UTC
Package was installed locally and solved the issue.

Thanks!

Comment 8 Fedora Update System 2011-09-07 03:18:25 UTC
gsoap-2.8.3-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-09-16 01:58:55 UTC
gsoap-2.7.17-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-09-17 21:57:32 UTC
gsoap-2.7.13-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-09-17 21:59:15 UTC
gsoap-2.7.16-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-09-17 22:02:03 UTC
gsoap-2.7.13-4.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.